Skip to main content
POST
/
api
/
v2
/
liquidity
/
onboarding
/
whitelist
Add Wallet to Whitelist
curl --request POST \
  --url https://api.mansafinance.co/api/v2/liquidity/onboarding/whitelist \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "client_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "wallet_address": "<string>",
  "label": "<string>"
}
'
{
  "message": "Wallet added to whitelist",
  "wallet_address": "0xDEF456..."
}

Authorizations

x-api-key
string
header
required

API key for authentication

Authorization
string
header
required

JWT token following RFC001 specification

Body

application/json
client_id
string<uuid>
required
client_request_id
string<uuid>
required
wallet_address
string
required
Pattern: ^0x[0-9a-fA-F]{6,}$
label
string
required
Maximum string length: 100

Response

Wallet added to whitelist

message
string
Example:

"Wallet added to whitelist"

wallet_address
string
Example:

"0xDEF456..."